TOTP / HOTP Oluşturucu: Güvenli Tek Kullanımlık Parola
TOTP / HOTP Oluşturucu, paylaşılan bir Base32 gizlisinden tek kullanımlık parolalar oluşturur. TOTP güncel saati, HOTP ise bir sayacı kullanır. 6, 7 veya 8 basamak, SHA-1, SHA-256 veya SHA-512 ve 15, 30 veya 60 saniye gibi bir zaman periyodu seçin. Canlı geri sayım, güncel TOTP kodunun ne kadar geçerli kalacağını gösterir.
TOTP / HOTP Oluşturucu, iki faktörlü kimlik doğrulamada kullanılan tek kullanımlık parolaları oluşturur. Taze bir kodu güncel saatten ve paylaşılan bir gizliden türeten TOTP'yi (RFC 6238) ve kodu bir sayaçtan türeten HOTP'yi (RFC 4226) destekler. Paylaşılan gizli, Google Authenticator için QR kodlarının taşıdığı biçim olan Base32 (RFC 4648) ile kodlanır.
Kod oluşturmak için araç, paylaşılan gizliyi seçilen ayarlarla kullanır. 6, 7 veya 8 basamak, SHA-1, SHA-256 veya SHA-512 ve 15, 30 veya 60 saniye gibi bir TOTP periyodu seçebilirsiniz. Canlı geri sayım çubuğu, güncel zamana dayalı kodun ne kadar geçerli kalacağını gösterir. Hesaplamalar WebCrypto HMAC kullanır ve tarayıcınızda yerel olarak çalışır.
TOTP ve HOTP, her kodu türetmek için kullanılan değerde farklıdır: TOTP zamanı, HOTP ise bir sayacı kullanır. İki biçim de paylaşılan bir gizliden tek kullanımlık parolalar üretir, ancak belirli bir iki faktörlü kimlik doğrulama akışıyla test ederken veya çalışırken ayrım önemlidir. Oluşturucuyu test verisi için kod hazırlamak, bir kimlik doğrulayıcı iş akışını denetlemek veya iki standardı karşılaştırmak için kullanın.
TOTP / HOTP Oluşturucu tarayıcınızda çalışır ve sunucuya veri gönderilmez. Sunucu bağımlılığı yoktur; sayfa yüklendikten sonra çevrimdışı çalışmaya devam eder. Bu, paylaşılan gizliyi başka yere göndermeden yerel test, fixture, belgeleme veya geliştirme görevleri için kodlara ihtiyaç duyan geliştiriciler ve DevOps mühendisleri için yararlı kılar.
Adım 1: Paylaşılan gizliyi Base32 biçiminde girin; bu, kimlik doğrulayıcı QR kodlarında kullanılan kodlamadır.
Adım 2: Mevcut seçenekleri ayarlayın: 6, 7 veya 8 basamak ve SHA-1, SHA-256 veya SHA-512 seçin.
Adım 3: TOTP için 15, 30 veya 60 saniye gibi bir zaman periyodu seçin.
Adım 4: Tek kullanımlık parolayı oluşturun ve güncel TOTP kodunun ne kadar geçerli kalacağını görmek için canlı geri sayımı denetleyin.
Adım 5: Testiniz, fixture'ınız veya diğer iş akışınız için ihtiyacınız olan değerleri kopyalayın.
Kullanım senaryosu: Örnek kodları elle yazmak yerine kimlik doğrulama testleri, fixture'lar ve tohum verisi için TOTP veya HOTP değerleri oluşturun.
Kullanım senaryosu: Test verisi hazırlarken değerleri elle uydurmaya alternatif olarak tek seferde bir grup kod oluşturun.
Kullanım senaryosu: Klavyede girilen tahminlere güvenmek yerine seçilen standarda ve ayarlara göre kodlar üretin.
Kullanım senaryosu: Bir kimlik doğrulayıcı iş akışını test ederken paylaşılan bir Base32 gizlisinin tek kullanımlık parolayı nasıl ürettiğini denetleyin.
Kullanım senaryosu: İki faktörlü kimlik doğrulamayı geliştirirken veya hata ayıklarken zamana dayalı TOTP kodlarını sayaç tabanlı HOTP kodlarıyla karşılaştırın.
Kullanım senaryosu: Belgeleme, tanıtımlar veya diğer geliştirme çalışmaları için örnek tek kullanımlık parolalar hazırlayın.